X2Go Bug report logs - #367
wine does not start within x2goclient: Application tried to create a window, but no driver could be loaded.

version graph

Package: nxagent; Maintainer for nxagent is X2Go Developers <x2go-dev@lists.x2go.org>; Source for nxagent is src:nx-libs.

Reported by: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>

Date: Thu, 12 Dec 2013 22:48:02 UTC

Severity: important

Tags: fixed-upstream, moreinfo

Fixed in version 3.5.99.0

Reply or subscribe to this bug.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to x2go-dev@lists.berlios.de, X2Go Developers <x2go-dev@lists.berlios.de>:
Bug#367; Package nxagent. (Thu, 12 Dec 2013 22:48:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mike Gabriel <mike.gabriel@das-netzwerkteam.de>:
New Bug report received and forwarded. Copy sent to X2Go Developers <x2go-dev@lists.berlios.de>. (Thu, 12 Dec 2013 22:48:02 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.x2go.org (full text, mbox):

From: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
To: submit@bugs.x2go.org
Cc: mh@bzd.de
Subject: wine does not start within x2goclient: Application tried to create a window, but no driver could be loaded.
Date: Thu, 12 Dec 2013 22:38:18 +0000
[Message part 1 (text/plain, inline)]
Package: nxagent
Severity: important

While scanning our bug tracker logs, I found this mail from Matthias  
Hellinghausen which got not processed into the tracker, because the  
Package: <package> line was missing at the beginning of the mail...

Mike


"""
Hello

After upgrading the x2goserver from the following Versions

x2goagent      2:3.5.0.14-0~247~oneiric1
x2goserver     3.1.1.3-0~571~oneiric1

to

x2goagent     2:3.5.0.15-0~263~oneiric1
x2goserver    3.1.1.4-0~592~oneiric1

wine (v. 1.2.3) programs do not start anymore within the x2goclient session.

The following is what wine tells us when starting notepad:

mh@ltsp3:~$ notepad
Application tried to create a window, but no driver could be loaded.
Unknown error (998).
err:systray:initialize_systray Could not create tray window
Application tried to create a window, but no driver could be loaded.
Unknown error (998).

All other X-applications are working fine. The version of the x2goclient
did not change.

please let me know, If there is anything more you need to know...

kind regards
Matthais

-- 
Dipl.-Ing.(FH)  Matthias Hellinghausen
EDV-Abteilung
BZD Gesellschaft f. Transfusionsmedizin Duisburg mbH
K<F6>nigstrasse 63 - 47051 Duisburg

Tel.:    +49 (0) 203 - 300 95 8557
Fax:     +49 (0) 203 - 300 95 8564
Email:   mh@bzd.de

Sitz der Gesellschaft: Duisburg
Amtsgericht Duisburg HRB 4273
Gesch<E4>ftsf<FC>hrung: Sybille Trobisch, Olaf Frahm
"""
-- 

DAS-NETZWERKTEAM
mike gabriel, herweg 7, 24357 fleckeby
fon: +49 (1520) 1976 148

GnuPG Key ID 0x25771B31
mail: mike.gabriel@das-netzwerkteam.de, http://das-netzwerkteam.de

freeBusy:
https://mail.das-netzwerkteam.de/freebusy/m.gabriel%40das-netzwerkteam.de.xfb
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to x2go-dev@lists.berlios.de, X2Go Developers <x2go-dev@lists.berlios.de>:
Bug#367; Package nxagent. (Fri, 13 Dec 2013 09:33:01 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mike Gabriel <mike.gabriel@das-netzwerkteam.de>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.berlios.de>. (Fri, 13 Dec 2013 09:33:01 GMT) Full text and rfc822 format available.

Message #10 received at 367@bugs.x2go.org (full text, mbox):

From: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
To: 367@bugs.x2go.org, mh@bzd.de
Subject: Re: [X2Go-Dev] Bug#367: wine does not start within x2goclient: Application tried to create a window, but no driver could be loaded.
Date: Fri, 13 Dec 2013 09:27:19 +0000
[Message part 1 (text/plain, inline)]
Control: tag -1 moreinfo
Control: tag -1 not-confirmed

Hi all,

On  Do 12 Dez 2013 23:38:18 CET, Mike Gabriel wrote:

> Package: nxagent
> Severity: important
>
> While scanning our bug tracker logs, I found this mail from Matthias  
> Hellinghausen which got not processed into the tracker, because the  
> Package: <package> line was missing at the beginning of the mail...
>
> Mike
>
>
> """
> Hello
>
> After upgrading the x2goserver from the following Versions
>
> x2goagent      2:3.5.0.14-0~247~oneiric1
> x2goserver     3.1.1.3-0~571~oneiric1
>
> to
>
> x2goagent     2:3.5.0.15-0~263~oneiric1
> x2goserver    3.1.1.4-0~592~oneiric1
>
> wine (v. 1.2.3) programs do not start anymore within the x2goclient session.
>
> The following is what wine tells us when starting notepad:
>
> mh@ltsp3:~$ notepad
> Application tried to create a window, but no driver could be loaded.
> Unknown error (998).
> err:systray:initialize_systray Could not create tray window
> Application tried to create a window, but no driver could be loaded.
> Unknown error (998).
>
> All other X-applications are working fine. The version of the x2goclient
> did not change.
>
> please let me know, If there is anything more you need to know...
>
> kind regards
> Matthais

I have tested this on Debian wheezy systems (server and client) with  
latest X2Go Client and latest nx-libs and latest X2Go Server (from the  
nightly builds). Starting notepad from wine works smoothly.

Mike


-- 

DAS-NETZWERKTEAM
mike gabriel, herweg 7, 24357 fleckeby
fon: +49 (1520) 1976 148

GnuPG Key ID 0x25771B31
mail: mike.gabriel@das-netzwerkteam.de, http://das-netzwerkteam.de

freeBusy:
https://mail.das-netzwerkteam.de/freebusy/m.gabriel%40das-netzwerkteam.de.xfb
[Message part 2 (application/pgp-signature, inline)]

Added tag(s) moreinfo. Request was from Mike Gabriel <mike.gabriel@das-netzwerkteam.de> to 367-submit@bugs.x2go.org. (Fri, 13 Dec 2013 09:33:02 GMT) Full text and rfc822 format available.

Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#367; Package nxagent. (Thu, 29 Oct 2015 18:10:01 GMT) Full text and rfc822 format available.

View this message in rfc822 format

From: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
To: 367@bugs.x2go.org
Subject: Bug#367: [X2Go-Dev] Bug#367: Bug#367: wine does not start within x2goclient: Application tried to create a window, but no driver could be loaded.
Date: Mon, 13 Jun 2016 22:09:37 +0000
[Message part 1 (text/plain, inline)]
Control: fixed -1 3.5.99.0
Control: tags -1 fixed-upstream

Hi,

On  Fr 13 Dez 2013 15:56:45 CET, Gianfilippo wrote:

> Hello,
> i can confirm this bug using the last version of x2goclient on linuxmint.
> Several applications ran under wine fail to load and freeze during  
> loading, i.e. ms office 2010 using crossover office.
> Using an older version of x2goclient the application is loaded  
> successfully. The notepad application is loaded successfully from  
> any x2goclient version.
> To get a confirmation of the bug, open winecfg and try to open the  
> "drives" mapping tab. Using the last version of x2go, winecfg  
> freezes. Trying to use any other older version, the drives tab is  
> loaded successfully.

I have just tested several Windows applications under WinE in nxagent  
3.5.99.x and I can't observe anymore issues.

light+love,
Mike
-- 

DAS-NETZWERKTEAM
mike gabriel, herweg 7, 24357 fleckeby
mobile: +49 (1520) 1976 148
landline: +49 (4354) 8390 139

GnuPG Key ID 0x25771B31
mail: mike.gabriel@das-netzwerkteam.de, http://das-netzwerkteam.de

freeBusy:
https://mail.das-netzwerkteam.de/mailxchange/kronolith/fb.php?u=m.gabriel%40das-netzwerkteam.de
[Message part 2 (application/pgp-signature, inline)]

Acknowledgement sent to Mike Gabriel <mike.gabriel@das-netzwerkteam.de>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Mon, 13 Jun 2016 22:10:02 GMT) Full text and rfc822 format available.

Marked as fixed in versions 3.5.99.0. Request was from Mike Gabriel <mike.gabriel@das-netzwerkteam.de> to 367-submit@bugs.x2go.org. (Mon, 13 Jun 2016 22:10:02 GMT) Full text and rfc822 format available.

Added tag(s) fixed-upstream. Request was from Mike Gabriel <mike.gabriel@das-netzwerkteam.de> to 367-submit@bugs.x2go.org. (Mon, 13 Jun 2016 22:10:02 GMT) Full text and rfc822 format available.

Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#367; Package nxagent. (Thu, 09 Feb 2017 05:40:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to mesacdiaz23@a2plcpnl0632.prod.iad2.secureserver.net:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Thu, 09 Feb 2017 05:40:03 GMT) Full text and rfc822 format available.

Message #27 received at 367@bugs.x2go.org (full text, mbox):

From: mesacdiaz23@a2plcpnl0632.prod.iad2.secureserver.net
To: 367@bugs.x2go.org
Subject: New status of your UPS delivery (code: 4271972)
Date: Thu, 9 Feb 2017 05:28:12 +0000
[Message part 1 (text/plain, inline)]
Dear Customer,

We can not deliver your parcel arrived at February 08.

You can find more details in this e-mail attachment!

All the best,
Zachary Beard,
UPS Mail Delivery Clerk.

[UPS-Parcel-ID-4271972.zip (application/zip, attachment)]

Send a report that this bug log contains spam.


X2Go Developers <owner@bugs.x2go.org>. Last modified: Wed Dec 12 14:09:06 2018; Machine Name: ymir.das-netzwerkteam.de

X2Go Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.